Bug 30549 - Replace the use of jQueryUI Accordion on pending patron updates page
Summary: Replace the use of jQueryUI Accordion on pending patron updates page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on: 30494
Blocks: 29224
  Show dependency treegraph
 
Reported: 2022-04-14 18:00 UTC by Owen Leonard
Modified: 2022-05-17 12:38 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30549: Replace the use of jQueryUI Accordion on pending patron updates page (18.22 KB, patch)
2022-04-14 18:12 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30549: Replace the use of jQueryUI Accordion on pending patron updates page (18.27 KB, patch)
2022-04-19 18:19 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 30549: Replace the use of jQueryUI Accordion on pending patron updates page (18.33 KB, patch)
2022-04-20 13:27 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-04-14 18:00:17 UTC
As part of Bug 29224, "OMNIBUS: Replace the use of jQueryUI Accordion" we should replace the use of the jQueryUI accordion component on the pending patron updates page with Bootstrap's Collapse component.
Comment 1 Owen Leonard 2022-04-14 18:12:02 UTC
Created attachment 133332 [details] [review]
Bug 30549: Replace the use of jQueryUI Accordion on pending patron updates page

This patch updates the pending patron updates page to use Bootstrap
collapse instead of jQueryUI.

This patch contains whitespace changes, so view the diff with this in
mind.

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- If necessary, log into the OPAC and submit an update via the "Your
  personal details" page. Ideally do this for two or more patrons.
- In the staff client, follow the "Patrons requesting modifications"
  link.
- On the "Update patron records" page you should see the headings
  representing each of the patrons with pending updates. The first panel
  should be expanded.
- Confirm that the panels expand and collapse correctly.
- Follow the "Patron details" link for one of these patrons.
- Click the "Review pending modifications" link on the patron detail
  page.
- When the update page opens that patron's panel should be expanded.
Comment 2 ByWater Sandboxes 2022-04-19 18:19:34 UTC
Created attachment 133412 [details] [review]
Bug 30549: Replace the use of jQueryUI Accordion on pending patron updates page

This patch updates the pending patron updates page to use Bootstrap
collapse instead of jQueryUI.

This patch contains whitespace changes, so view the diff with this in
mind.

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- If necessary, log into the OPAC and submit an update via the "Your
  personal details" page. Ideally do this for two or more patrons.
- In the staff client, follow the "Patrons requesting modifications"
  link.
- On the "Update patron records" page you should see the headings
  representing each of the patrons with pending updates. The first panel
  should be expanded.
- Confirm that the panels expand and collapse correctly.
- Follow the "Patron details" link for one of these patrons.
- Click the "Review pending modifications" link on the patron detail
  page.
- When the update page opens that patron's panel should be expanded.

Signed-off-by: Lisette Scheer <lisetteslatah@gmail.com>
Comment 3 Lisette Scheer 2022-04-19 18:19:58 UTC
Worked as expected. Lisette
Comment 4 Tomás Cohen Arazi 2022-04-20 13:27:50 UTC
Created attachment 133472 [details] [review]
Bug 30549: Replace the use of jQueryUI Accordion on pending patron updates page

This patch updates the pending patron updates page to use Bootstrap
collapse instead of jQueryUI.

This patch contains whitespace changes, so view the diff with this in
mind.

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- If necessary, log into the OPAC and submit an update via the "Your
  personal details" page. Ideally do this for two or more patrons.
- In the staff client, follow the "Patrons requesting modifications"
  link.
- On the "Update patron records" page you should see the headings
  representing each of the patrons with pending updates. The first panel
  should be expanded.
- Confirm that the panels expand and collapse correctly.
- Follow the "Patron details" link for one of these patrons.
- Click the "Review pending modifications" link on the patron detail
  page.
- When the update page opens that patron's panel should be expanded.

Signed-off-by: Lisette Scheer <lisetteslatah@gmail.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 5 Fridolin Somers 2022-05-05 00:33:01 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄